imposible instalar libc6 y build essentials

Imagen de tumadrepocheta
0 puntos

Hola

Soy novato, en la universidad estamos haciendo una asignatura de opnnGL, osea que necesito programar en c.

Creo que he instalado el compilador (gcc), pero al compilar no me encuentra las librerias de c. Leyendo por la red he llegado a la conclusion que debo instalar build essentials, me lo he descargado, pero este me pide libc6

cuando lo instalo me da error, y no puedo seguir. Necesito ayuda. no se si estoy haciendo bien las cosas.

el error que me da es...

dpkg: error al procesar libc6_2.3.2.ds1-20ubuntu13_i386.deb (--install):
intentando sobreescribir `/usr/share/zoneinfo/Africa/Algiers', que está también en el paquete locales
dpkg-deb: el subproceso paste fue terminado por la señal (Broken pipe)
Se encontraron errores al procesar:
libc6_2.3.2.ds1-20ubuntu13_i386.deb

Un saludo y gracias

Imagen de Goyo
+1
0
-1

Hombre, para evitar problemas instala built-essentials desde los repositorios:

$ sudo apt-get install built-essentials

+1
0
-1